com.genesyslab.wfm8.API.service.config850

## Class CfgShiftTaskSequence

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config850.CfgShiftTaskSequence

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgShiftTaskSequence
      extends java.lang.Object
      implements java.io.Serializable

  Shift Task Sequence association
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected int` | `wmShiftId`
    `protected int` | `wmTaskSequenceId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgShiftTaskSequence()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getWmShiftId()` Gets the value of the wmShiftId property.
    `int` | `getWmTaskSequenceId()` Gets the value of the wmTaskSequenceId property.
    `int` | `hashCode()`
    `void` | `setWmShiftId(int value)` Sets the value of the wmShiftId property.
    `void` | `setWmTaskSequenceId(int value)` Sets the value of the wmTaskSequenceId property.
    `java.lang.String` | `toString()`
    `CfgShiftTaskSequence` | `withWmShiftId(int value)`
    `CfgShiftTaskSequence` | `withWmTaskSequenceId(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmShiftId

          protected int wmShiftId

    - #### wmTaskSequenceId

          protected int wmTaskSequenceId

  - ### Constructor Detail

    - #### CfgShiftTaskSequence

          public CfgShiftTaskSequence()

  - ### Method Detail

    - #### getWmShiftId

          public int getWmShiftId()

      Gets the value of the wmShiftId property.

    - #### setWmShiftId

          public void setWmShiftId(int value)

      Sets the value of the wmShiftId property.

    - #### getWmTaskSequenceId

          public int getWmTaskSequenceId()

      Gets the value of the wmTaskSequenceId property.

    - #### setWmTaskSequenceId

          public void setWmTaskSequenceId(int value)

      Sets the value of the wmTaskSequenceId property.

    - #### withWmShiftId

          public CfgShiftTaskSequence withWmShiftId(int value)

    - #### withWmTaskSequenceId

          public CfgShiftTaskSequence withWmTaskSequenceId(int value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.